# Account

## &#x20;登陆（获取Token）

<mark style="color:green;">`POST`</mark> `https://dler.cloud/api/v1/login`

#### Request Body

| Name                                     | Type   | Description                  |
| ---------------------------------------- | ------ | ---------------------------- |
| email<mark style="color:red;">\*</mark>  | String |                              |
| passwd<mark style="color:red;">\*</mark> | String |                              |
| token\_expire                            | Number | Unit: days (default 30 days) |

{% tabs %}
{% tab title="200 " %}

```
{
	"ret": 200,
	"msg": "success",
	"data": {
		"token": "access_token",
		"token_expire": "9999-99-99 99:99:99",
		"plan": "Enterprise Licenses",
		"plan_time": "9999-99-99 99:99:99",
		"money": "0.00",
		"aff_money": "0.00",
		"today_used": "99GB",
		"used": "500GB",
		"unused": "524GB",
		"traffic": "1TB",
		"integral": 49 / 50
	}
}
```

{% endtab %}
{% endtabs %}

## &#x20;注销 (删除Token)

<mark style="color:green;">`POST`</mark> `https://dler.cloud/api/v1/logout`

#### Request Body

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| access\_token<mark style="color:red;">\*</mark> | String |             |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## &#x20;用户信息

<mark style="color:green;">`POST`</mark> `https://dler.cloud/api/v1/information`

#### Request Body

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| access\_token<mark style="color:red;">\*</mark> | String |             |

{% tabs %}
{% tab title="200 " %}

```
{
	"ret": 200,
	"msg": "success",
	"data": {
		"plan": "Enterprise Licenses",
		"plan_time": "9999-99-99 99:99:99",
		"money": "27159.35",
		"aff_money": "0.00",
		"today_used": "99GB",
		"used": "500GB",
		"unused": "524GB",
		"traffic": "1TB",
		"integral": 49 / 50
	}
}
```

{% endtab %}
{% endtabs %}

## &#x20;试试手气

<mark style="color:green;">`POST`</mark> `https://dler.cloud/api/v1/checkin`

#### Request Body

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| access\_token<mark style="color:red;">\*</mark> | String |             |
| multiple                                        | Number |             |

{% tabs %}
{% tab title="200 " %}

```
{
	"ret": 200,
	"msg": "success",
	"data": {
		"checkin": "增加了 999 MB 流量.",
		"today_used": "99GB",
		"used": "500GB",
		"unused": "524GB",
		"traffic": "1TB"
	}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dler.io/black-hole/api/v1/account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
